Debian Bug report logs - #322197
OSS_GETVERSION ioctl (on /dev/mixer) fails with ENXIO

version graph

Package: kfreebsd-7; Maintainer for kfreebsd-7 is (unknown);

Reported by: Robert Millan <rmh@aybabtu.com>

Date: Tue, 9 Aug 2005 17:33:11 UTC

Severity: normal

Found in version 7.2-5

Fixed in version 7.3-7+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#322197; Package kfreebsd-5. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@aybabtu.com>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Missing OSS_GETVERSION ioctl
Date: Mon, 08 Aug 2005 21:44:46 +0200
Package: kfreebsd-5
Severity: normal

The OSS_GETVERSION ioctl is missing.  This is used by some OSS-dependant
packages (like oss-preserve).  Its implementation is very simple, it should
just return SOUND_VERSION as defined in soundcard.h.

-- System Information:
Debian Release: testing/unstable
Architecture: kfreebsd-i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: GNU/kFreeBSD 5.3-17
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)



Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#322197; Package kfreebsd-5. Full text and rfc822 format available.

Acknowledgement sent to rmh@khazad.dyndns.org:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 322197@bugs.debian.org (full text, mbox):

From: rmh@khazad.dyndns.org
To: 322197@bugs.debian.org
Subject: patch
Date: Tue, 9 Aug 2005 20:15:59 +0200
[Message part 1 (text/plain, inline)]
Hi,

The attached patch implements OSS_GETVERSION and adds other macros for
compatibility with OSS.

Note that it is untested, though.  (I'm on vacation with only my laptop and no
rescue disk, so I'm not going to test kernels).

This change would help with building audiooss and oss-preserve (I'm sending
patches for other fixes in both of these now).

--
Robert Millan
[017_oss_compat.diff (text/plain, attachment)]

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@aybabtu.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 322197-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 322197-close@bugs.debian.org
Subject: Bug#322197: fixed in kfreebsd-5 5.3-4
Date: Tue, 09 Aug 2005 16:17:06 -0700
Source: kfreebsd-5
Source-Version: 5.3-4

We believe that the bug you reported is fixed in the latest version of
kfreebsd-5, which is due to be installed in the Debian FTP archive:

kfreebsd-5_5.3-4.diff.gz
  to pool/main/k/kfreebsd-5/kfreebsd-5_5.3-4.diff.gz
kfreebsd-5_5.3-4.dsc
  to pool/main/k/kfreebsd-5/kfreebsd-5_5.3-4.dsc
kfreebsd-source-5.3_5.3-4_all.deb
  to pool/main/k/kfreebsd-5/kfreebsd-source-5.3_5.3-4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 322197@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated kfreebsd-5 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 10 Aug 2005 00:56:00 +0200
Source: kfreebsd-5
Binary: kfreebsd-source-5.3 kfreebsd-image-5.3-1 kfreebsd-headers-5.3-1
Architecture: source all
Version: 5.3-4
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 kfreebsd-source-5.3 - source code for kernel of FreeBSD 5.3 with Debian patches
Closes: 322197
Changes: 
 kfreebsd-5 (5.3-4) unstable; urgency=low
 .
   * Added OSS_GETVERSION ioctl. Patch from Robert Millan (closes:
     bug#322197)
Files: 
 06f6692cb7138bd5d58d242e69a23faa 921 devel optional kfreebsd-5_5.3-4.dsc
 26d5937b7398a568bdfa6998e67238c4 33757 devel optional kfreebsd-5_5.3-4.diff.gz
 558e4e4c565b3978df7b2f06978ba0b3 12972308 devel optional kfreebsd-source-5.3_5.3-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFC+TX8w3ao2vG823MRAl9uAKCGF7EwFstqkNkEdIr7/4CplEIBlACfddaw
RaSgsruvHTRZjxm2LFavOV0=
=mLTz
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#322197; Package kfreebsd-5. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@aybabtu.com>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 322197@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: 322197@bugs.debian.org
Subject: broken ioctl
Date: Mon, 15 Aug 2005 06:54:34 +0200
reopen 322197
thanks

Hi!

I had a chance to test the patch I sent, and the ioctl doesn't seem to work
(always returns -1, with errno == ENXIO).

However, the ioctl macro being present is enough for some programs to compile
and even run properly (like oss-preserve), so I would leave this patch enabled
untill we find the proper fix.

I think the problem is that in mixer.c, OSS_GETVERSION is parsed as if it was a
macro of the MIXER_READ group.  However, this group of ioctls only can include
31 of them (!!) because they're encoded as an int bitmask (looks like a waste of
information, since they're never ORed, unless I missed something).

My patch encoded it as a separate ioctl (118 iirc).  I tried moving the code
outside of the MIXER_READ switch, with no luck.

-- 
Robert Millan



Bug reopened, originator not changed. Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#322197; Package kfreebsd-5. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@aybabtu.com>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. Full text and rfc822 format available.

Message #29 received at 322197@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: "Pedro F. Giffuni" <giffunip@yahoo.com>
Cc: 322197@bugs.debian.org
Subject: Re: OSS_GETVERSION ioctl (on /dev/mixer) fails with ENXIO
Date: Fri, 4 Nov 2005 08:44:22 +0100
On Fri, Nov 04, 2005 at 03:41:27AM +0100, Pedro F. Giffuni wrote:
> Hi Robert;
> 
> I recently looked at your bug report on Debian, wondering if I could perhaps
> get some help for you guys here.
> Unfortunately the code that you would need to change:
> 
> http://www.freebsd.org/cgi/cvsweb.cgi/src/sys/dev/sound/pcm/
> 
> is actually *not* OSS, according to the manpage the pcm driver was rewritten
> for FreeBSD 5.2! Since it's not OSS I'm not sure it would make sense to add
> that ioctl. Perhaps you could patch the code or suggest the package maintainer
> that when FreeBSD>=5 is detected it assumes or skips the OSS_VERSION?

Hi!

Currently, we're using kFreeBSD 5.4.  We patched it to support OSS_VERSION and
OSS_GETVERSION in order to improve compatibility with OSS.  However, the patch
we used was not totaly correct, so the ioctl is present but not working.

Please note that OSS is both a standard and an application, much like X11.  But
in this case the application is propietary, so when we speak of OSS we're
referring to the standard that both free implementations (like the ones in Linux
or kernels of *BSD) and the propietary implementation (used in propietary Un*x)
follow.

What I'd like is that our OSS is more compatible with the one in Linux, since
this is the actual de-facto standard (i.e. what everyone is using to develop OSS
programs).  If the propietary one has functions that we don't have, this is not
a big deal, but if the Linux one does, that means more packages that break on
GNU/kFreeBSD.

-- 
Robert Millan



Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#322197; Package kfreebsd-5. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@aybabtu.com>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. Full text and rfc822 format available.

Message #34 received at 322197@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: pfgshield-freebsd@yahoo.com
Cc: 322197@bugs.debian.org
Subject: Re: OSS_GETVERSION ioctl (on /dev/mixer) fails with ENXIO
Date: Thu, 8 Dec 2005 20:40:56 +0100
On Thu, Dec 08, 2005 at 05:55:03PM +0100, pfgshield-freebsd@yahoo.com wrote:
> Hi again;
> 
> Sorry for the delay ... there are people upstream interested in the patches.

We haven't made any significant improvements to the OSS implementation, just
a small patch that adds OSS_GETVERSION ioctl and a pair other macros.

See:

  http://svn.debian.org/wsvn/glibc-bsd/trunk/kfreebsd-5/debian/patches/017_oss_compat.diff?op=file&rev=0&sc=0

but if upstream wants to take it that's fine.  Feel free to forward this URL to
whoever it may concern.

> Please check:
> 
> http://www.freebsd.org/projects/ideas/

Nice.  So there are plans in upstream for an ALSA compatibility layer!  That'd
be very helpful indeed.

-- 
Robert Millan



Bug reassigned from package `kfreebsd-5' to `kfreebsd-6'. Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Sat, 12 Jan 2008 17:33:05 GMT) Full text and rfc822 format available.

Bug reassigned from package `kfreebsd-6' to `kfreebsd-7'. Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Tue, 14 Apr 2009 08:39:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 7.2-5. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Sun, 30 Aug 2009 08:27:07 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Fri, 17 Jun 2011 11:18:21 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@aybabtu.com>:
Bug acknowledged by developer. (Fri, 17 Jun 2011 11:18:26 GMT) Full text and rfc822 format available.

Message #45 received at 322197-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 322197-done@bugs.debian.org,353302-done@bugs.debian.org,357021-done@bugs.debian.org,460331-done@bugs.debian.org,477588-done@bugs.debian.org,550429-done@bugs.debian.org,551702-done@bugs.debian.org,559107-done@bugs.debian.org,593699-done@bugs.debian.org,594287-done@bugs.debian.org,601305-done@bugs.debian.org,
Cc: kfreebsd-7@packages.debian.org, kfreebsd-7@packages.qa.debian.org
Subject: Bug#630694: Removed package(s) from unstable
Date: Fri, 17 Jun 2011 11:15:01 +0000
Version: 7.3-7+rm

Dear submitter,

as the package kfreebsd-7 has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/630694

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 16 Jul 2011 07:42:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:10:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.